Eliminate Store using two map for context storage, to avoid holding too many data it will eliminate the old data

### Hierarchy

- EliminateStore

## Index

### Properties

- current
- lastEliminateTime
- old

### Methods

- clear
- delete
- eliminate
- get
- getLastEliminateTime
- oldSize
- set
- size

## Properties

### Private current

current: Map<number, NodeInfo> = new Map<number, NodeInfo>()

- Defined in envoy-context-store.ts:40

### Private lastEliminateTime

lastEliminateTime: number = Date.now()

- Defined in envoy-context-store.ts:42

### Private old

old: Map<number, NodeInfo> = new Map<number, NodeInfo>()

- Defined in envoy-context-store.ts:39

## Methods

### clear

- clear(): void

- - Defined in envoy-context-store.ts:81

  clear all data

  #### Returns void

### delete

- delete(asyncId: number): void

- - Defined in envoy-context-store.ts:73

  delete context

  #### Parameters

  - ##### asyncId: number

    asyncId

  #### Returns void

### eliminate

- eliminate(): void

- - Defined in envoy-context-store.ts:89

  eliminate the old data

  #### Returns void

### get

- get(asyncId: number): undefined | NodeInfo

- - Defined in envoy-context-store.ts:48

  get context

  #### Parameters

  - ##### asyncId: number

    asyncId

  #### Returns undefined | NodeInfo

### getLastEliminateTime

- getLastEliminateTime(): number

- - Defined in envoy-context-store.ts:98

  get last eliminate time

  #### Returns number

### oldSize

- oldSize(): number

- - Defined in envoy-context-store.ts:112

  the old store size

  #### Returns number

### set

- set(asyncId: number, info: NodeInfo): void

- - Defined in envoy-context-store.ts:65

  set context

  #### Parameters

  - ##### asyncId: number

    asyncId

  - ##### info: NodeInfo

    context info

  #### Returns void

### size

- size(): number

- - Defined in envoy-context-store.ts:105

  the current size

  #### Returns number

Generated using TypeDoc